Bug 779374 - (SOA-1764) NullAction shipped with the SOA-P
NullAction shipped with the SOA-P
Status: CLOSED WONTFIX
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, Distribution (Show other bugs)
5.0.0 ER5
Unspecified Unspecified
high Severity high
: ---
: FUTURE
Assigned To: Default User
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-03 21:04 EST by Jim Tyrrell
Modified: 2011-04-08 16:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-08 16:09:09 EDT
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBIDE-5637 None None None Never
JBoss Issue Tracker SOA-1764 None None None Never

  None (edit)
Description Jim Tyrrell 2010-01-03 21:04:33 EST
Date of First Response: 2010-01-04 10:49:59
project_key: SOA

Two different customers have for testing/performance purposes have produced create their own NullAction, I have even produced one while messing around.  We should include a NullAction as part of the standard set of Actions.
Comment 1 Kevin Conner 2010-01-04 10:49:59 EST
There are two options for this at present

- don't declare any "actions" element on the service and you have a service which returns the incoming message as a response
- use the EchoRouter as your null action.  The EchoRouter does log at INFO though (not sure why) so this would need to be disabled if testing performance.
Comment 2 Kevin Conner 2010-01-04 11:07:59 EST
To disable the logging it would be necessary to change jboss-log4j.xml and add the following

   <category name="org.jboss.soa.esb.actions.routing.EchoRouter">
      <priority value="WARN"/>
   </category>
Comment 3 Kevin Conner 2010-01-04 11:14:56 EST
The first suggestion is not applicable as there is an explicit check in the pipeline preventing a 'naked' pipeline from being configured.
Comment 4 Jim Tyrrell 2010-01-12 09:58:38 EST
Link: Added: This issue related JBIDE-5637
Comment 5 Anne-Louise Tangring 2010-09-21 14:56:01 EDT
This was triaged for SOA 5.1.0. It is not in 5.1.0

Note You need to log in before you can comment on or make changes to this bug.